clc;
clear;

alpha   =   -1.0;       % alpha = y(o)
a       =   0;          % 0 < t < 1
b       =   1;
TOL     =   10^(-6);
M       =   10;         % max number of iterations

disp('------------------------------------------------------------------------------------');
fprintf('\t\t\tRunge-Kutta Method\t\t\tTrapezoidal Method\n');
disp('------------------------------------------------------------------------------------');

N       =   5;          % h = 0.20
trap_newton('f', 'fe', 'fy', a, b, alpha, N, TOL, M);

N       =   4;          % h = 0.25
trap_newton('f', 'fe', 'fy', a, b, alpha, N, TOL, M);